## gkrelltop 2.2.10

=== Makefile ===
# Makefile for gkrelltop 
#
# tries to autodetect for gtk+-2.0 to compile for
# gkrellm 2 or if it is lacking it tries to compile
# for gkrellm 1. 
# If it fails to build, then maybe you dont have the 
# gtk+-2.0 or gtk+-1.2 development tools (which you need 
# to have installed) to compile this package.
#
# for linux need the -DLINUX as a CFLAGS parameter

# to compile for FREEBSD the CFLAGS parameter 
# needs to be -DFREEBSD 
# and as David Gardner pointed out, FreeBSD users need to use 
# the GNU make utility (gmake) instead of the BSD make 
# utility (make) in order for it to compile.
# 
# I have attempted to detect the os by the OSFLAG variable 
# NOTE that it will work only for LINUX or FREEBSD 
# 
# if you think it should work for your os than substituting
# your $(OSFLAG) will not quite do the trick because the wmtop code 
# (the three_top.c file) only recognises those two (LINUX and FREEBSD)
# parameters. Let me know if the more recent versions of wmtop 
# support more OS.


OSFLAG = $(shell uname | tr '[:lower:]' '[:upper:]')
SHELL=/bin/sh

GKRELL1FLAG=1
#find out if we have gkrellm 2 or 1 (from the gtk+ version)
GKRELL1FLAG=$(shell bash -c 'pkg-config gtk+-2.0 --cflags &>/dev/null && echo 0')
GKRELLTOP = gkrelltop.so
OBJ = top_three.o gkrelltop.o 
EXTRA = krell_panel1.xpm

INSTALLDIR ?= $(PREFIX)/$(DESTDIR)
ifeq ($(INSTALLDIR),)
	INSTALLDIR=/usr/lib/gkrellm2/plugins
endif


ifeq ($(GKRELL1FLAG),0)
# Parameters for gkrellm version 2.*
CFLAGS2 = -D$(OSFLAG) -DGKRELLM2 -fPIC -Wall `pkg-config gtk+-2.0 --cflags`
LIBS =  
CC=/usr/bin/gcc $(CFLAGS2)

else 
# Parameters for gkrellm version 1.*
CC=/usr/bin/cc
CFLAGS = -D$(OSFLAG) -Wall -fPIC `gtk-config --cflags` `imlib-config --cflags-gdk` 
LIBS=

endif


# Parameters for the gkrelltopd server plugin
ifeq ($(glib12),yes)
WANT_GLIB12 = yes
endif
ifeq ($(glib12),1)
WANT_GLIB12 = yes
endif

ifeq ($(WANT_GLIB12),yes)
CFLAGSD = -I/usr/X11R6/include -D$(OSFLAG) -fPIC -Wall `glib-config --cflags`
LIBSD = `glib-config --libs`
CONFIGURE_ARGS += --with-glib12
else
CFLAGSD = -D$(OSFLAG) -fPIC -Wall `pkg-config glib-2.0 --cflags`
LIBSD = `pkg-config glib-2.0 --libs`
endif
INSTALLDIRD ?= $(PREFIXD)/$(DESTDIR)
ifeq ($(INSTALLDIRD),)
	INSTALLDIRD=$(HOME)/.gkrellm2/plugins-gkrellmd
endif
CCD=/usr/bin/gcc $(CFLAGSD)
OBJD = gkrelltopd.o top_three.o

DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))
HAVE_GKRELLMD = $(shell grep -c HAVE_GKRELLMD configure.h)


ifneq ($(HAVE_GKRELLMD),1)
WARN = $(warning Note: cannot compile server plugin.  See configure.log.)
endif


ifeq ($(HAVE_GKRELLMD),1)
	GKRELLTOPD = gkrelltopd.so
endif

# By default do the compilation for gkrellm 2.*
all: $(GKRELLTOP) $(GKRELLTOPD)


warn: ; $(WARN)

$(GKRELLTOP): $(OBJ) warn
	$(CC)  -shared $(OBJ) -o $(GKRELLTOP) 

# Compile gkrelltopd.so server plugin
server: $(GKRELLTOPD) warn
	@echo ""

$(GKRELLTOPD): $(OBJD) 
	$(CCD)  $(LIBSD) -shared $(OBJD) -o $(GKRELLTOPD)

gkrelltop.o: gkrelltop.c
	$(CC) -c gkrelltop.c -o gkrelltop.o

top_three.o: top_three.c
	$(CC) -D$(OSFLAG) -c top_three.c -o top_three.o

gkrelltopd.o: gkrelltopd.c
	$(CCD) -c gkrelltopd.c -o gkrelltopd.o

install: $(GKRELLTOP)
	install -c -s -m 644 $(GKRELLTOP) $(INSTALLDIR)
	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)

install-server: $(GKRELLTOPD)
	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)

test_top: top_three.o test_top.o
	$(CC)  -D$(OSFLAG) top_three.o test_top.o -o test_top

view: $(GKRELLTOP)
	gkrellm -p $(GKRELLTOP)

deb:
	fakeroot debian/rules binary

orig:
	echo `pwd` | grep 'orig' || (mkdir `pwd`.orig; cp -p Makefile README config.guess config.sub configure gkrelltop.c gkrelltop.h gkrelltopd.c krell_image.xpm support.h test_top.c top_three.c `pwd`.orig/ )

package:
	@dpkg-buildpackage -rfakeroot -uc -us

clean: 
	@rm -f *.o *.so configure.h configure.log test_top

## gkrelltop 2.2.13

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,13 @@
 
 INSTALLDIR ?= $(PREFIX)/$(DESTDIR)
 ifeq ($(INSTALLDIR),)
-	INSTALLDIR=/usr/lib/gkrellm2/plugins
+	INSTALLDIR=/usr/lib/gkrellm2/plugins/
 endif
 
 
 ifeq ($(GKRELL1FLAG),0)
 # Parameters for gkrellm version 2.*
-CFLAGS2 = -D$(OSFLAG) -DGKRELLM2 -fPIC -Wall `pkg-config gtk+-2.0 --cflags`
+CFLAGS2 = -g -D$(OSFLAG) -DGKRELLM2 -fPIC -Wall `pkg-config gtk+-2.0 --cflags`
 LIBS =  
 CC=/usr/bin/gcc $(CFLAGS2)
 
@@ -67,10 +67,12 @@
 ifeq ($(WANT_GLIB12),yes)
 CFLAGSD = -I/usr/X11R6/include -D$(OSFLAG) -fPIC -Wall `glib-config --cflags`
 LIBSD = `glib-config --libs`
+LIBSD = 
 CONFIGURE_ARGS += --with-glib12
 else
 CFLAGSD = -D$(OSFLAG) -fPIC -Wall `pkg-config glib-2.0 --cflags`
 LIBSD = `pkg-config glib-2.0 --libs`
+LIBSD = 
 endif
 INSTALLDIRD ?= $(PREFIXD)/$(DESTDIR)
 ifeq ($(INSTALLDIRD),)
@@ -81,7 +83,6 @@
 
 DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))
 HAVE_GKRELLMD = $(shell grep -c HAVE_GKRELLMD configure.h)
-
 
 ifneq ($(HAVE_GKRELLMD),1)
 WARN = $(warning Note: cannot compile server plugin.  See configure.log.)
@@ -112,20 +113,19 @@
 	$(CC) -c gkrelltop.c -o gkrelltop.o
 
 top_three.o: top_three.c
-	$(CC) -D$(OSFLAG) -c top_three.c -o top_three.o
+	$(CC) -c top_three.c -o top_three.o
 
 gkrelltopd.o: gkrelltopd.c
 	$(CCD) -c gkrelltopd.c -o gkrelltopd.o
 
 install: $(GKRELLTOP)
-	install -c -s -m 644 $(GKRELLTOP) $(INSTALLDIR)
-	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
+	install -c -m 644 $(GKRELLTOP) $(INSTALLDIR)
 
 install-server: $(GKRELLTOPD)
-	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
+	install -c -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
 
-test_top: top_three.o test_top.o
-	$(CC)  -D$(OSFLAG) top_three.o test_top.o -o test_top
+ttest: top_three.o ttest.o 
+	$(CC)  top_three.o ttest.o -o ttest
 
 view: $(GKRELLTOP)
 	gkrellm -p $(GKRELLTOP)
@@ -134,11 +134,15 @@
 	fakeroot debian/rules binary
 
 orig:
-	echo `pwd` | grep 'orig' || (mkdir `pwd`.orig; cp -p Makefile README config.guess config.sub configure gkrelltop.c gkrelltop.h gkrelltopd.c krell_image.xpm support.h test_top.c top_three.c `pwd`.orig/ )
+	echo `pwd` | grep 'orig' || (mkdir `pwd`.orig; cp -p Makefile README config.guess config.sub configure gkrelltop.c gkrelltop.h gkrelltopd.c krell_image.xpm support.h ttest.c top_three.c `pwd`.orig/ )
 
-package:
-	@dpkg-buildpackage -rfakeroot -uc -us
+package: orig
+	#old:
+	#@dpkg-buildpackage -rfakeroot -uc -us
+	#debsign ../gkrelltop*.changes
+	debuild -b && debuild -S
 
 clean: 
-	@rm -f *.o *.so configure.h configure.log test_top
+	@rm -f *.o *.so configure.h configure.log ttest
 
+distclean: clean

=== debian/changelog ===
gkrelltop (2.2.13-1.3) unstable; urgency=medium

  * Non-maintainer upload.
    Maintainer confirmed team maintenance in any team is fine.
    Closes: #1101018

  [ Andreas Tille ]
  * Move package to Debian team on Salsa
  * Add Homepage
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * d/control: Add  ${misc:Depends}
  * Propagate hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: Use cross tools. (Closes: #1095770)

  [ Ville Skyttä ]
  * Fix stderr on init
    Closes: #879813

 -- Andreas Tille <tille@debian.org>  Mon, 24 Mar 2025 17:52:00 +0100

gkrelltop (2.2.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to source format 3.0 (closes: #1007686).
    + Do not explicitly patch the config.* files but use dh_autoreconf.
  * Set Priority: optional instead of obsolete "extra".

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 08:54:44 +0200

gkrelltop (2.2.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965554)
  * debian/rules: Add build-{arch,indep}. (Closes: #999019)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 02:13:39 +0200

gkrelltop (2.2.13-1) unstable; urgency=medium

  * Refactored the top_three code for better performance.
  * Temporarily suspend refresh when mouse over.
  * Correct directory for gkrelltopd install dir (closes: #488736).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Wed, 23 Jul 2009 23:23:57 -0500

gkrelltop (2.2.12-1) unstable; urgency=medium

  * Add ability to see per process IO activity
  * Handle nostrip build option (closes: #437041).
  * Fix duplication when a single process in list (closes: #421342).
  * Don't depend on libc6-dev (closes: #470761).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Wed, 8 Jul 2009 23:51:02 -0500

gkrelltop (2.2.11-2) unstable; urgency=low

  * Fix problem with clean not happening for debian build process
  * Fix make clean problem (closes: #442575).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Fri, 8 Feb 2008 20:52:00 -0500

gkrelltop (2.2.11-1) unstable; urgency=low

  * New upstream version
  * Fix problem with excluded programs not reapearing

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Tue, 25 Dec 2007 23:35:21 -0500

gkrelltop (2.2.10-1) unstable; urgency=low

  * New upstream version
  * Fix floating point exception problem.

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Sat, 21 Jul 2007 01:25:17 -0500

gkrelltop (2.2.9-1.1) unstable; urgency=high

  * Non-maintainer high-urgency upload for RC bug fix.
  * Build shared objects with -fPIC (closes: #425320).

 -- Julien Cristau <jcristau@debian.org>  Wed, 18 Jul 2007 17:37:58 +0200

gkrelltop (2.2.9-1) unstable; urgency=low

  * New upstream version

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Tue, 13 Feb 2007 03:21:22 -0500

gkrelltop (2.2.8-1) unstable; urgency=low

  * Initial Debian release (Closes: #410021)

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Mon, 6 Feb 2007 01:43:57 -0500

=== debian/control ===
Source: gkrelltop
Section: x11
Priority: optional
Maintainer: Adi Zaimi <adizaimi@users.sourceforge.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper-compat (= 13),  libgtk2.0-dev, gkrellm, gkrellmd, pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/gkrelltop
Vcs-Git: https://salsa.debian.org/debian/gkrelltop.git
Homepage: https://sourceforge.net/projects/gkrelltop/

Package: gkrelltop
Architecture: any
Depends: gkrellm, ${shlibs:Depends}, ${misc:Depends}
Suggests: gkrelltopd
Description: Top three intensive processes plugin for gkrellm
 Plugin for gkrellm that displays the top three cpu
 or memory intensive processes in a small window
 inside gkrellm, similar to wmtop. Useful to check
 out anytime what processes are consuming most cpu
 memory, or IO resources on your machine.

Package: gkrelltopd
Architecture: any
Depends: gkrellmd, ${shlibs:Depends}, ${misc:Depends}
Suggests: gkrelltop
Description: Top three intensive processes plugin for gkrellmd
 Plugin for gkrellmd. This is the server end
 plugin of gkrelltop. Gkrelltop displays the top
 three cpu intensive processes in a small window
 inside gkrellm, similar to wmtop. Useful to check
 out anytime what processes are consuming most cpu
 memory, or IO resources on your machine.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/gkrelltop.
	$(MAKE) PREFIX=$(CURDIR)/debian/gkrelltop  DESTDIR=usr/lib/gkrellm2/plugins install
	$(MAKE) PREFIXD=$(CURDIR)/debian/gkrelltopd DESTDIR=usr/lib/gkrellm2/plugins-gkrellmd install-server

=== debian/watch ===
version=4

https://sf.net/@PACKAGE@/@PACKAGE@_@ANY_VERSION@.orig@ARCHIVE_EXT@
